Bug 297636 - GHNS support for Window Switching Layouts
Summary: GHNS support for Window Switching Layouts
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: tabbox (show other bugs)
Version: git master
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: 4.9.3
Assignee: KWin default assignee
URL: https://git.reviewboard.kde.org/r/104...
Keywords:
Depends on: 297637
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-07 07:48 UTC by Martin Flöser
Modified: 2012-10-24 18:36 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.9.3
mgraesslin: ReviewRequest+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Flöser 2012-04-07 07:48:10 UTC
The Window Switching KCM should have a "Get New Layout..." button with GHNS integration.
Comment 1 Martin Flöser 2012-05-17 19:19:04 UTC
Git commit 91434d4f72ef46481c9abe93264189c6ac698821 by Martin Gräßlin.
Committed on 09/05/2012 at 18:43.
Pushed by graesslin into branch 'master'.

GHNS support for Window Switcher Layouts

Next to the preview/configure button a GHNS button is included
as a simple button with icon only to not break the layout.

Currently the button is not shown as the category on kde-look
has not yet been created yet.
REVIEW: 104894

M  +2    -1    kwin/kcmkwin/kwintabbox/CMakeLists.txt
A  +5    -0    kwin/kcmkwin/kwintabbox/kwinswitcher.knsrc
M  +0    -1    kwin/kcmkwin/kwintabbox/layoutpreview.cpp
M  +73   -41   kwin/kcmkwin/kwintabbox/main.cpp
M  +2    -0    kwin/kcmkwin/kwintabbox/main.h
M  +7    -0    kwin/kcmkwin/kwintabbox/main.ui

http://commits.kde.org/kde-workspace/91434d4f72ef46481c9abe93264189c6ac698821
Comment 2 Martin Flöser 2012-10-22 17:41:04 UTC
https://git.reviewboard.kde.org/r/106991/
Comment 3 Martin Flöser 2012-10-24 18:36:48 UTC
Git commit d48c59f4eb523ac32d336df0e7441e69fac3ec5f by Martin Gräßlin.
Committed on 22/10/2012 at 19:37.
Pushed by graesslin into branch 'KDE/4.9'.

Enable GHNS for Window Switcher

Thanks to the new category on kde-look.org we can now show the GHNS
button inside the KCM.
FIXED-IN: 4.9.3
REVIEW: 106991

M  +1    -1    kwin/kcmkwin/kwintabbox/kwinswitcher.knsrc
M  +0    -3    kwin/kcmkwin/kwintabbox/main.cpp

http://commits.kde.org/kde-workspace/d48c59f4eb523ac32d336df0e7441e69fac3ec5f